## inn2 2.6.4

=== Makefile ===
##  $Id: Makefile 9832 2015-05-01 09:11:23Z iulius $

include Makefile.global

##  All installation directories except for $(PATHRUN), which has a
##  different mode than the rest.
INSTDIRS      = $(PATHNEWS) $(PATHBIN) $(PATHAUTH) $(PATHAUTHRESOLV) \
		$(PATHAUTHPASSWD) $(PATHCONTROL) $(PATHFILTER) \
		$(PATHRNEWS) $(PATHDB) $(PATHDOC) $(PATHETC) $(PATHHTTP) $(PATHLIB) \
		$(PATHLIBPERL) $(PATHLIBPERL)/INN $(PATHDATASHARE) \
		$(PATHMAN) $(MAN1) $(MAN3) $(MAN3PM) $(MAN5) $(MAN8) $(PATHSPOOL) \
		$(PATHTMP) $(PATHARCHIVE) $(PATHARTICLES) $(PATHINCOMING) \
		$(PATHINBAD) $(PATHTAPE) $(PATHOVERVIEW) $(PATHOUTGOING) \
		$(PATHLOG) $(PATHLOGOLD) $(PATHINCLUDE)

##  LIBDIRS are built before PROGDIRS, make update runs in all UPDATEDIRS,
##  and make install runs in all ALLDIRS.  Nothing runs in test except the
##  test target itself and the clean targets.  Currently, include is built
##  before anything else but nothing else runs in it except clean targets.
LIBDIRS     = include lib storage history perl
PROGDIRS    = innd nnrpd innfeed control expire frontends backends authprogs \
              scripts
UPDATEDIRS  = $(LIBDIRS) $(PROGDIRS) doc
ALLDIRS     = $(UPDATEDIRS) samples site
CLEANDIRS   = $(ALLDIRS) contrib tests

##  The directory name and tar file to use when building a release.
TARDIR      = inn-$(VERSION)$(RELEASENUMBER)
TARFILE     = $(TARDIR).tar

##  The directory to use when building a snapshot.
SNAPDIR     = inn-$(SNAPSHOT)-$(SNAPDATE)

##  DISTDIRS gets all directories from the MANIFEST, SNAPDIRS gets the same
##  but for a snapshot, and DISTFILES gets all regular files.  Anything not
##  listed in the MANIFEST will not be included in a distribution.  These are
##  arguments to sed.
DISTDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(TARDIR)/;'
SNAPDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(SNAPDIR)/;'
DISTFILES   = -e 1,2d -e '/(Directory)/d' -e 's/ .*//'


##  Major target -- build everything.  Rather than just looping through
##  all the directories, use a set of parallel rules so that make -j can
##  work on more than one directory at a time.
##  Be careful of a non-GNU make:  after a completed command, it does not
##  necessarily return the script back to the starting directory.
all: all-include all-libraries all-programs
	cd doc     && $(MAKE) all || exit 1 ; cd ..
	cd samples && $(MAKE) all || exit 1 ; cd ..
	cd site    && $(MAKE) all || exit 1 ; cd ..

all-include:			; cd include   && $(MAKE) all

all-libraries:	all-lib all-storage all-history all-perl

all-lib:	all-include	; cd lib       && $(MAKE) all
all-storage:	all-lib		; cd storage   && $(MAKE) library
all-history:	all-storage	; cd history   && $(MAKE) all
all-perl:	all-history	; cd perl      && $(MAKE) all

all-programs:	all-innd all-nnrpd all-innfeed all-control all-expire \
		all-frontends all-backends all-authprogs all-scripts \
		all-store-util

all-authprogs:	all-lib		; cd authprogs && $(MAKE) all
all-backends:	all-libraries	; cd backends  && $(MAKE) all
all-control:			; cd control   && $(MAKE) all
all-expire:	all-libraries	; cd expire    && $(MAKE) all
all-frontends:	all-libraries	; cd frontends && $(MAKE) all
all-innd:	all-libraries	; cd innd      && $(MAKE) all
all-innfeed:	all-libraries	; cd innfeed   && $(MAKE) all
all-nnrpd:	all-libraries	; cd nnrpd     && $(MAKE) all
all-scripts:			; cd scripts   && $(MAKE) all
all-store-util:	all-libraries	; cd storage   && $(MAKE) programs


##  If someone tries to run make before running configure, tell them to run
##  configure first.
Makefile.global:
	@echo 'Run ./configure before running make.  See INSTALL for details.'
	@exit 1


##  Installation rules.  make install installs everything; make update only
##  updates the binaries, scripts, and documentation and leaves config
##  files alone.  make install-root does only the installation that needs
##  to be done as root and can be run after doing the regular install as the
##  news user if the installation directory is news-writable.
install: directories
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) D="$(DESTDIR)" install || exit 1 ; cd .. ; \
	done
	@echo ''
	@echo 'If this is a first-time installation, a minimal active file and'
	@echo 'history database have been installed.  Do not forget to update'
	@echo 'your cron entries and configure INN.  See INSTALL for more'
	@echo 'information.'
	@echo ''

directories:
	@chmod +x support/install-sh
	for D in $(INSTDIRS) ; do \
	    support/install-sh $(OWNER) -m 0755 -d $(DESTDIR)$$D ; \
	done
	support/install-sh $(OWNER) -m 0750 -d $(DESTDIR)$(PATHRUN)

update: 
	@chmod +x support/install-sh
	@for D in $(UPDATEDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) D="$(DESTDIR)" install || exit 1 ; cd .. ; \
	done
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHAUTHPASSWD)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHBIN)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHDOC)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHETC)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)${PATHFILTER}
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN1)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN3)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN5)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN8)

install-root:
	@chmod +x support/install-sh
	support/install-sh $(OWNER) -m 0755 -d $(DESTDIR)$(PATHBIN)
	cd backends && $(MAKE) D="$(DESTDIR)" install-root || exit 1 ; cd ..

##  Install a certificate for TLS/SSL support.
cert:
	umask 077 ; \
	$(SSLBIN) req -new -x509 -nodes \
	    -out $(DESTDIR)$(PATHETC)/cert.pem -days 366 \
	    -keyout $(DESTDIR)$(PATHETC)/key.pem
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $(DESTDIR)$(PATHETC)/cert.pem ; \
	    chgrp $(RUNASGROUP) $(DESTDIR)$(PATHETC)/cert.pem ; \
	    chown $(RUNASUSER) $(DESTDIR)$(PATHETC)/key.pem ; \
	    chgrp $(RUNASGROUP) $(DESTDIR)$(PATHETC)/key.pem ; \
	fi
	chmod 640 $(DESTDIR)$(PATHETC)/cert.pem
	chmod 600 $(DESTDIR)$(PATHETC)/key.pem


##  Cleanup targets.  clean deletes all compilation results but leaves the
##  configure results.  distclean or clobber removes everything not part of
##  the distribution tarball.  maintclean removes some additional files
##  created as part of the release process.
clean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) clean || exit 1 ; cd .. ; \
	done

clobber realclean distclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) distclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno

# The removal list is unfortunately duplicated here, both to avoid doing work
# twice and because we can't just depend on distclean since it removes
# Makefile.global and then nothing works right.
maintclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) maintclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno
	rm -f CHANGES ChangeLog inn*.tar.gz configure include/config.h.in
	rm -rf $(TARDIR)

##  Other generic targets.
bootstrap depend profiled:
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $@ || exit 1 ; cd .. ; \
	done


##  Run the test suite.
check test tests: all
	cd tests && $(MAKE) test || exit 1 ; cd ..


##  For maintainers, build the entire source base with warnings enabled.
warnings:
	$(MAKE) COPT="$(WARNINGS) $(COPT)" all


##  Make a release.  We create a release by recreating the directory
##  structure and then copying over all files listed in the MANIFEST.  If it
##  isn't in the MANIFEST, it doesn't go into the release.  We also update
##  the version information in Makefile.global.in to remove the prerelease
##  designation and update all timestamps to the date the release is made.
##  If RELEASENUMBER is set, it is a beta release or a release candidate.
release: ChangeLog
	rm -rf $(TARDIR)
	rm -f inn*.tar.gz
	mkdir $(TARDIR)
	for d in `$(SED) $(DISTDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(TARDIR)/$$f || exit 1 ; \
	done
	if [ "x$(RELEASENUMBER)" != "x" ] ; then \
	    cp README.$(RELEASEEXTENSION) $(TARDIR)/ ; \
	    $(SED) 's/= prerelease/= $(RELEASENUMBER) version/' \
	        Makefile.global.in > $(TARDIR)/Makefile.global.in ; \
	else \
	    $(SED) 's/= prerelease/=/' Makefile.global.in \
	        > $(TARDIR)/Makefile.global.in ; \
	fi
	cp ChangeLog $(TARDIR)/
	find $(TARDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(TARFILE) $(TARDIR)
	$(GZIP) -9 $(TARFILE)

##  Generate the ChangeLog using support/mkchangelog.  This should only be
##  run by a maintainer since it depends on svn log working and also
##  requires svn2cl be available somewhere.
ChangeLog:
	$(PERL) support/mkchangelog


##  Check the MANIFEST against the files present in the current tree,
##  building a list with find and running diff between the lists.
check-manifest:
	$(SED) -e 1,2d -e 's/ .*//' MANIFEST > LIST.manifest
	$(PERL) support/mkmanifest > LIST.real
	diff -u LIST.manifest LIST.real


##  Make a snapshot.  This is like making a release, except that we don't do
##  the ChangeLog thing and we don't change the version number.  We also
##  assume that SNAPSHOT has been set to the appropriate current branch.
snapshot:
	rm -rf $(SNAPDIR)
	rm -f inn*.tar.gz
	mkdir $(SNAPDIR)
	set -e ; for d in `$(SED) $(SNAPDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	set -e ; for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(SNAPDIR)/$$f ; \
	done
	cp README.snapshot $(SNAPDIR)/
	$(SED) 's/= prerelease/= $(SNAPDATE) snapshot/' \
	    Makefile.global.in > $(SNAPDIR)/Makefile.global.in
	find $(SNAPDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(SNAPDIR).tar $(SNAPDIR)
	$(GZIP) -9 $(SNAPDIR).tar

=== backends/Makefile ===
##  $Id: Makefile 10428 2020-11-24 07:20:05Z iulius $

include ../Makefile.global

top	      = ..
CFLAGS        = $(GCFLAGS)

ALL           = actmerge actsync actsyncd archive batcher buffchan \
		cvtbatch filechan innbind inndf innxmit innxbatch mod-active \
		news2mail ninpaths nntpget nntpsend overchan send-ihave \
		send-nntp send-uucp sendinpaths sendxbatches shlock \
		shrinkfile

MAN	      = ../doc/man/send-uucp.8

SOURCES       = actsync.c archive.c batcher.c buffchan.c cvtbatch.c \
		filechan.c innbind.c inndf.c innxbatch.c innxmit.c map.c \
		ninpaths.c nntpget.c overchan.c shlock.c shrinkfile.c

all: $(ALL) $(MAN)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	for F in actmerge actsyncd news2mail nntpsend send-ihave send-nntp \
	         send-uucp sendinpaths sendxbatches ; do \
	    $(CP_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	$(CP_XPRI) mod-active $D$(PATHBIN)/mod-active
	$(LI_XPRI) overchan $D$(PATHBIN)/overchan
	for F in actsync archive batcher buffchan cvtbatch filechan inndf \
	         innxbatch innxmit ninpaths nntpget shlock shrinkfile ; do \
	    $(LI_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    echo $(LI_SPRI) innbind $D$(PATHBIN)/innbind ; \
	    $(LI_SPRI) innbind $D$(PATHBIN)/innbind ; \
	else \
	    echo $(LI_XPRI) innbind $D$(PATHBIN)/innbind ; \
	    $(LI_XPRI) innbind $D$(PATHBIN)/innbind ; \
	    echo '' ; \
	    echo '========================' ; \
	    echo 'NOTE NOTE NOTE NOTE NOTE' ; \
	    ls -l $D$(PATHBIN)/innbind ; \
	    echo '$D$(PATHBIN)/innbind needs to be installed setuid root' ; \
	    echo '' ; echo ; \
	fi

install-root:
	$(LI_SPRI) innbind $D$(PATHBIN)/innbind

bootstrap: $(MAN)

clean clobber distclean:
	rm -f *.o $(ALL)
	rm -rf .libs

maintclean: distclean
	rm -f $(MAN)

profiled:
	$(MAKEPROFILING) all

##  Compilation rules.

# $(LIBSTORAGE) must be listed twice to resolve circular dependencies
# when doing static linking.
BOTH		= $(LIBSTORAGE) $(LIBHIST) $(LIBSTORAGE) $(LIBINN)

LINK 		= $(LIBLD) $(LDFLAGS) -o $@
LINKDEPS	= $(LIBLDDEPS) $(LDFLAGS) -o $@
INNLIBS		= $(LIBINN) $(LIBS)
STORELIBS	= $(BOTH) $(STORAGE_LIBS) $(LIBS)

FIX		= $(FIXSCRIPT)

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

actsync:	actsync.o    $(LIBINN)	; $(LINK) actsync.o    $(INNLIBS)
archive:	archive.o    $(BOTH)	; $(LINKDEPS) archive.o  $(STORELIBS)
batcher:	batcher.o    $(BOTH)	; $(LINKDEPS) batcher.o  $(STORELIBS)
cvtbatch:	cvtbatch.o   $(BOTH)	; $(LINKDEPS) cvtbatch.o $(STORELIBS)
innbind:	innbind.o    $(LIBINN)	; $(LINK) innbind.o    $(INNLIBS)
inndf:		inndf.o      $(BOTH)	; $(LINKDEPS) inndf.o  $(STORELIBS)
innxbatch:	innxbatch.o  $(LIBINN)	; $(LINK) innxbatch.o  $(INNLIBS)
innxmit:	innxmit.o    $(BOTH)	; $(LINK) innxmit.o    $(STORELIBS)
ninpaths:	ninpaths.o		; $(LINK) ninpaths.o
nntpget:	nntpget.o    $(BOTH)	; $(LINK) nntpget.o    $(STORELIBS)
overchan:	overchan.o   $(BOTH)	; $(LINKDEPS) overchan.o $(STORELIBS)
shlock:		shlock.o     $(LIBINN)	; $(LINK) shlock.o     $(INNLIBS)
shrinkfile:	shrinkfile.o $(LIBINN)	; $(LINK) shrinkfile.o $(INNLIBS)

buffchan:	buffchan.o map.o $(LIBINN)
	$(LINK) buffchan.o map.o $(LIBINN) $(LIBS)

filechan:	filechan.o map.o $(LIBINN)
	$(LINK) filechan.o map.o $(LIBINN) $(LIBS)

actmerge:	actmerge.in      $(FIX)	; $(FIX) actmerge.in
actsyncd:	actsyncd.in      $(FIX)	; $(FIX) actsyncd.in
mod-active:	mod-active.in    $(FIX)	; $(FIX) mod-active.in
news2mail:	news2mail.in     $(FIX)	; $(FIX) news2mail.in
nntpsend:	nntpsend.in      $(FIX)	; $(FIX) nntpsend.in
send-ihave:	send-ihave.in    $(FIX)	; $(FIX) send-ihave.in
send-nntp:	send-nntp.in     $(FIX)	; $(FIX) send-nntp.in
send-uucp:	send-uucp.in     $(FIX)	; $(FIX) send-uucp.in
sendinpaths:	sendinpaths.in   $(FIX) ; $(FIX) sendinpaths.in
sendxbatches:	sendxbatches.in  $(FIX)	; $(FIX) sendxbatches.in

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))

../doc/man/send-uucp.8: send-uucp.in
	$(POD2MAN) -s 8 -n "SEND-UUCP" $? > $@


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
actsync.o: actsync.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/hashtab.h ../include/inn/qio.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h
archive.o: archive.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/innconf.h ../include/inn/messages.h ../include/inn/qio.h \
  ../include/inn/vector.h ../include/inn/wire.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h
batcher.o: batcher.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/wire.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
buffchan.o: buffchan.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/paths.h map.h
cvtbatch.o: cvtbatch.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/qio.h ../include/inn/wire.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
filechan.o: filechan.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/paths.h map.h
innbind.o: innbind.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/newsuser.h \
  ../include/inn/vector.h
inndf.o: inndf.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/overview.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/qio.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h
innxbatch.o: innxbatch.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h
innxmit.o: innxmit.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/history.h \
  ../include/inn/innconf.h ../include/inn/messages.h ../include/inn/qio.h \
  ../include/inn/timer.h ../include/inn/wire.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h
map.o: map.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/paths.h map.h
ninpaths.o: ninpaths.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h
nntpget.o: nntpget.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \

=== expire/Makefile ===
##  $Id: Makefile 10100 2016-11-04 22:24:26Z iulius $

include ../Makefile.global

top           = ..
CFLAGS        = $(GCFLAGS)

ALL           = convdate expire expireover expirerm fastrm grephistory \
		makedbz makehistory prunehistory

SOURCES       = convdate.c expire.c expireover.c fastrm.c grephistory.c \
		makedbz.c makehistory.c prunehistory.c

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	for F in convdate fastrm grephistory ; do \
	    $(LI_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	for F in expire expireover makedbz makehistory prunehistory ; do \
	    $(LI_XPRI) $$F $D$(PATHBIN)/$$F ; \
	done
	$(CP_XPRI) expirerm $D$(PATHBIN)/expirerm

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o $(ALL)
	rm -f profiled expirep
	rm -rf .libs


##  Compilation rules.

BOTH		= $(LIBSTORAGE) $(LIBHIST) $(LIBINN)

LINK            = $(LIBLD) $(LDFLAGS) -o $@
INNLIBS		= $(LIBINN) $(LIBS)
STORELIBS	= $(BOTH) $(STORAGE_LIBS) $(LIBS)

FIX             = $(FIXSCRIPT)

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

convdate:	convdate.o     $(LIBINN) ; $(LINK) convdate.o     $(INNLIBS)
expire:		expire.o       $(BOTH)   ; $(LINK) expire.o       $(STORELIBS)
expireover:	expireover.o   $(BOTH)   ; $(LINK) expireover.o   $(STORELIBS)
fastrm:		fastrm.o       $(BOTH)   ; $(LINK) fastrm.o       $(STORELIBS)
grephistory:	grephistory.o  $(BOTH)   ; $(LINK) grephistory.o  $(STORELIBS)
makedbz:	makedbz.o      $(LIBINN) ; $(LINK) makedbz.o      $(INNLIBS)
makehistory:	makehistory.o  $(BOTH)   ; $(LINK) makehistory.o  $(STORELIBS)
prunehistory:	prunehistory.o $(BOTH)   ; $(LINK) prunehistory.o $(STORELIBS)

expirerm:	expirerm.in    $(FIX)    ; $(FIX) expirerm.in

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled:	expirep 
	date >$@

expirep:	expire.c
	rm -f expire.o
	$(MAKEPROFILING) expire
	mv expire expirep
	rm -f expire.o


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
convdate.o: convdate.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h
expire.o: expire.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/history.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/inndcomm.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/newsuser.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h
expireover.o: expireover.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/paths.h \
  ../include/inn/qio.h ../include/inn/storage.h
fastrm.o: fastrm.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/qio.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/storage.h ../include/inn/options.h
grephistory.o: grephistory.c ../include/clibrary.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h \
  ../include/inn/macros.h ../include/portable/stdbool.h \
  ../include/inn/history.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h
makedbz.o: makedbz.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/dbz.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/newsuser.h \
  ../include/inn/paths.h ../include/inn/qio.h ../include/inn/storage.h \
  ../include/inn/options.h
makehistory.o: makehistory.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/paths.h ../include/inn/qio.h \
  ../include/inn/storage.h ../include/inn/vector.h ../include/inn/wire.h
prunehistory.o: prunehistory.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/history.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h

=== frontends/Makefile ===
##  $Id: Makefile 10428 2020-11-24 07:20:05Z iulius $

include ../Makefile.global

top           = ..
CFLAGS        = $(GCFLAGS)

ALL	      = bunbatch c7unbatch cnfsheadconf cnfsstat ctlinnd decode encode \
		getlist gunbatch inews innconfval mailpost pullnews \
		ovdb_init ovdb_monitor ovdb_server ovdb_stat rnews \
		scanspool sm

OPTIONAL      = feedone sys2nf

MAN	      = ../doc/man/mailpost.8

SOURCES	      = ctlinnd.c decode.c encode.c getlist.c inews.c innconfval.c \
		ovdb_init.c ovdb_monitor.c ovdb_server.c ovdb_stat.c rnews.c \
		sm.c

PATHRNEWS     = $(PATHBIN)/rnews.libexec

all: $(ALL) $(MAN)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_INEWS) inews $D$(PATHBIN)/inews
	$(LI_RNEWS) rnews $D$(PATHBIN)/rnews
	$(CP_XPRI) cnfsheadconf $D$(PATHBIN)/cnfsheadconf
	for F in cnfsstat mailpost pullnews scanspool ; do \
	    $(CP_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	for F in ctlinnd ovdb_init ovdb_monitor ovdb_server ovdb_stat ; do \
	    $(LI_XPRI) $$F $D$(PATHBIN)/$$F ; \
	done
	for F in getlist innconfval sm ; do \
	    $(LI_XPUB) $$F $D$(PATHBIN)/$$F ; \
	done
	$(CP_XPUB) bunbatch $D$(PATHBIN)/rnews.libexec/bunbatch
	$(CP_XPUB) c7unbatch $D$(PATHBIN)/rnews.libexec/c7unbatch
	$(LI_XPUB) decode $D$(PATHBIN)/rnews.libexec/decode
	$(LI_XPUB) encode $D$(PATHBIN)/rnews.libexec/encode
	$(CP_XPUB) gunbatch $D$(PATHBIN)/rnews.libexec/gunbatch

bootstrap: $(MAN)

clean clobber distclean:
	rm -f *.o $(ALL) $(OPTIONAL)
	rm -rf .libs

maintclean: distclean
	rm -f $(MAN)

profiled:
	$(MAKEPROFILING) all

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Compilation rules.

# $(LIBSTORAGE) must be listed twice to resolve circular dependencies
# when doing static linking.
BOTH		= $(LIBSTORAGE) $(LIBHIST) $(LIBSTORAGE) $(LIBINN)

LINK 		= $(LIBLD) $(LDFLAGS) -o $@
LINKDEPS	= $(LIBLDDEPS) $(LDFLAGS) -o $@
INNLIBS		= $(LIBINN) $(LIBS)
STORELIBS	= $(BOTH) $(STORAGE_LIBS) $(LIBS)

FIX		= $(FIXSCRIPT)

ctlinnd:	ctlinnd.o      $(LIBINN) ; $(LINK) ctlinnd.o      $(INNLIBS)
decode:		decode.o       $(LIBINN) ; $(LINK) decode.o       $(INNLIBS)
encode:		encode.o                 ; $(LINK) encode.o
getlist:	getlist.o      $(LIBINN) ; $(LINK) getlist.o      $(INNLIBS)
inews:		inews.o        $(LIBINN) ; $(LINK) inews.o        $(INNLIBS)
innconfval:	innconfval.o   $(LIBINN) ; $(LINK) innconfval.o   $(INNLIBS)
ovdb_init:	ovdb_init.o    $(BOTH)
	$(LINKDEPS) ovdb_init.o    $(STORELIBS)
ovdb_monitor:	ovdb_monitor.o $(BOTH)
	$(LINKDEPS) ovdb_monitor.o $(STORELIBS)
ovdb_server:	ovdb_server.o  $(BOTH)
	$(LINKDEPS) ovdb_server.o  $(STORELIBS)
ovdb_stat:	ovdb_stat.o    $(BOTH)
	$(LINKDEPS) ovdb_stat.o    $(STORELIBS)
rnews:		rnews.o        $(BOTH)   ; $(LINK) rnews.o        $(STORELIBS)
sm:		sm.o           $(BOTH)
	$(LINKDEPS) sm.o           $(STORELIBS)

ovdb_init.o: ovdb_init.c
	$(CC) $(CFLAGS) $(BDB_CPPFLAGS) -c $<

ovdb_monitor.o: ovdb_monitor.c
	$(CC) $(CFLAGS) $(BDB_CPPFLAGS) -c $<

ovdb_server.o: ovdb_server.c
	$(CC) $(CFLAGS) $(BDB_CPPFLAGS) -c $<

ovdb_stat.o: ovdb_stat.c
	$(CC) $(CFLAGS) $(BDB_CPPFLAGS) -c $<

cnfsheadconf:	cnfsheadconf.in  $(FIX)	; $(FIX) cnfsheadconf.in
cnfsstat:	cnfsstat.in      $(FIX)	; $(FIX) cnfsstat.in
mailpost:	mailpost.in      $(FIX)	; $(FIX) mailpost.in
pullnews:	pullnews.in      $(FIX)	; $(FIX) pullnews.in
scanspool:	scanspool.in     $(FIX)	; $(FIX) scanspool.in

bunbatch: Makefile ../Makefile.global
	( echo '#! $(SHELL)' ; echo 'exec $(BZIP2) -d -c' ) > $@
	chmod 755 bunbatch

c7unbatch: Makefile ../Makefile.global
	( echo '#! $(SHELL)' ; echo 'decode | $(UNCOMPRESS)' ) > $@
	chmod 755 c7unbatch

gunbatch: Makefile ../Makefile.global
	( echo '#! $(SHELL)' ; echo 'exec $(GZIP) -d -c' ) > $@
	chmod 755 gunbatch

##  Not normally built.
feedone:	feedone.o     $(LIBINN)	; $(LINK) feedone.o $(INNLIBS)
sys2nf:		sys2nf.o      $(LIBINN)	; $(LINK) sys2nf.o  $(INNLIBS)

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


../doc/man/mailpost.8: mailpost.in
	$(POD2MAN) -s 8 -n "MAILPOST" $? > $@


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
ctlinnd.o: ctlinnd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/inndcomm.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h
decode.o: decode.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h
encode.o: encode.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h
getlist.o: getlist.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/nntp.h ../include/inn/qio.h \
  ../include/inn/vector.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/paths.h
inews.o: inews.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/inn/nntp.h ../include/inn/paths.h
innconfval.o: innconfval.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/version.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h
ovdb_init.o: ovdb_init.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/innconf.h ../include/inn/messages.h ../include/inn/ov.h \
  ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../storage/ovdb/ovdb.h \
  ../storage/ovdb/ovdb-private.h
ovdb_monitor.o: ovdb_monitor.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/setproctitle.h \
  ../include/portable/macros.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/ov.h ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../storage/ovdb/ovdb.h \
  ../storage/ovdb/ovdb-private.h
ovdb_server.o: ovdb_server.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/portable/setproctitle.h ../include/portable/macros.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/socket-unix.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../storage/ovdb/ovdb.h \
  ../storage/ovdb/ovdb-private.h
ovdb_stat.o: ovdb_stat.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/ov.h ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/paths.h ../include/inn/storage.h \
  ../storage/ovdb/ovdb.h ../storage/ovdb/ovdb-private.h
rnews.o: rnews.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/inn/nntp.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/wire.h
sm.o: sm.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/innconf.h ../include/inn/messages.h ../include/inn/qio.h \
  ../include/inn/wire.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/storage.h ../include/inn/options.h

=== history/Makefile ===
##  $Id: Makefile 10423 2020-11-22 21:15:35Z iulius $

include ../Makefile.global

# This version number should be increased with every change to the library
# source following the rules laid out in the libtool manual.  This will also
# force the file name of the shared library to change so that one can
# recover from make update.  We can't use .OLD extensions for the shared
# library since ldconfig will think .OLD sorts after the regular library and
# will point the binaries at the old library.
LTVERSION     = 3:4:0

top           = ..
CFLAGS        = $(GCFLAGS) -I.

SOURCES       = his.c hismethods.c $(METHOD_SOURCES)
OBJECTS       = $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: library programs

# Included here after the all target, since additional rules are defined in
# Make.methods to be sure that we recurse properly to build the methods.
include Make.methods

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_LPUB) libinnhist.$(EXTLIB) $D$(PATHLIB)/libinnhist.$(EXTLIB)

bootstrap: Make.methods

library: libinnhist.$(EXTLIB)

programs: $(PROGRAMS)

clean clobber distclean:
	rm -f *.o *.lo */*.o */*.lo libinnhist.la libinnhist.a
	rm -f libinnhist_pure_*.a .pure $(PROGRAMS)
	rm -f buildconfig profiled libinnhist$(PROFSUFFIX).a
	rm -rf .libs */.libs

maintclean: distclean
	rm -f Make.methods hismethods.c hismethods.h

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

libinnhist.la: $(OBJECTS) $(LIBSTORAGE) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) \
	    $(LIBSTORAGE) $(LIBINN) $(STORAGE_LIBS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info $(LTVERSION)

libinnhist.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinnhist.a

# Try to set up these rules so that buildconfig is only run once.
# Make.methods is included in the distribution tarball since some non-GNU
# makes can't deal with including a non-existent file, so don't depend on
# it.  The dependencies aren't entirely accurate; you really want to re-run
# buildconfig each time a new subdirectory is added to the directory.  But
# adding a dependency on . is a bit too non-portable for my taste and causes
# too many rebuilds.
Make.methods hismethods.h hismethods.c: buildconfig
	./buildconfig

buildconfig: buildconfig.in $(FIXSCRIPT)
	$(FIXSCRIPT) -i buildconfig.in

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) $(CCOUTPUT)

$(LIBINN):      ; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE) library)


##  Profiling.  The rules are a bit brute-force, but good enough.

profiled: libinnhist$(PROFSUFFIX).a
	date >$@

libinnhist$(PROFSUFFIX).a: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinnhist.a
	mv libinnhist.a libinnhist$(PROFSUFFIX).a
	$(RANLIB) libinnhist$(PROFSUFFIX).a
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	$(SOURCES) $(EXTRA_SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES) $(EXTRA_SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
his.o: his.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/storage.h ../include/inn/options.h hisinterface.h \
  hismethods.h
hismethods.o: hismethods.c hisinterface.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h hismethods.h \
  hisv6/hisv6.h
hisv6/hisv6.o: hisv6/hisv6.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h hisinterface.h hisv6/hisv6.h \
  hisv6/hisv6-private.h ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/dbz.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/timer.h ../include/inn/qio.h ../include/inn/sequence.h \
  ../include/inn/inndcomm.h

=== include/Makefile ===
##  $Id: Makefile 9794 2015-03-17 20:49:15Z iulius $
##
##  Currently just handles creation of the automatically generated header
##  files.  Eventually, rules for installing INN's header files will go
##  here.

include ../Makefile.global

top	      = ..

ALL	      = inn/portable-getaddrinfo.h inn/portable-getnameinfo.h \
		inn/portable-macros.h inn/portable-socket.h \
		inn/portable-stdbool.h inn/system.h inn/version.h

EXTRA	      = config.h inn/paths.h

all: $(ALL) $(EXTRA)

warnings: all

bootstrap:

clean:
	rm -f $(ALL)

clobber distclean maintclean: clean
	rm -f $(EXTRA)

depend:

profiled: all

$(EXTRA) $(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Build rules.

inn/portable-getaddrinfo.h: portable/getaddrinfo.h
	$(SED) 's/"portable\//"inn\/portable-/g' portable/getaddrinfo.h \
	  | $(SED) -e 's/"config\.h"/<inn\/defines.h>/g' \
	  > inn/portable-getaddrinfo.h

inn/portable-getnameinfo.h: portable/getnameinfo.h
	$(SED) 's/"portable\//"inn\/portable-/g' portable/getnameinfo.h \
	  | $(SED) -e 's/"config\.h"/<inn\/defines.h>/g' \
	  > inn/portable-getnameinfo.h

inn/portable-macros.h: portable/macros.h
	$(SED) 's/"portable\//"inn\/portable-/g' portable/macros.h \
	  > inn/portable-macros.h

inn/portable-socket.h: portable/socket.h
	$(SED) 's/"portable\//"inn\/portable-/g' portable/socket.h \
	  | $(SED) -e 's/HAVE_INET6/INN_HAVE_INET6/g' \
	           -e 's/"config\.h"/<inn\/defines.h>/g' \
	  > inn/portable-socket.h

inn/portable-stdbool.h: portable/stdbool.h
	$(SED) 's/"portable\//"inn\/portable-/g' portable/stdbool.h \
	  | $(SED) -e 's/HAVE__BOOL/INN_HAVE__BOOL/g' \
	           -e 's/HAVE_STDBOOL_H/INN_HAVE_STDBOOL_H/g' \
	           -e 's/"config\.h"/<inn\/defines.h>/g' \
	  > inn/portable-stdbool.h

inn/system.h: config.h $(top)/support/mksystem
	$(top)/support/mksystem $(AWK) config.h > $@

inn/version.h: $(top)/support/mkversion $(top)/Makefile.global
	$(top)/support/mkversion '$(VERSION)' '$(VERSION_EXTRA)' > $@


##  Installation rules.

install:
	$(top)/support/install-sh $(OWNER) -m 0755 -d $D$(PATHINCLUDE)/inn
	for F in inn/*.h ; do \
	    $(CP_RPUB) $$F $D$(PATHINCLUDE)/$$F ; \
	done

=== innd/Makefile ===
##  $Id: Makefile 10523 2021-01-17 21:52:00Z iulius $

include ../Makefile.global

top	        = ..
CFLAGS		= $(GCFLAGS) $(TCLINC) $(SYSTEMD_CFLAGS)

ALL		= innd tinyleaf

SOURCES		= art.c cc.c chan.c icd.c innd.c keywords.c lc.c nc.c \
		  newsfeeds.c ng.c perl.c proc.c python.c rc.c site.c \
		  status.c util.c wip.c

EXTRASOURCES	= tinyleaf.c

OBJECTS		= $(SOURCES:.c=.o)

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPRI) innd $D$(PATHBIN)/innd
	$(LI_XPUB) tinyleaf $D$(PATHBIN)/tinyleaf

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o $(ALL) inndp
	rm -rf .libs


##  Compilation rules.

INNDLIBS 	= $(LIBSTORAGE) $(LIBHIST) $(LIBINN) $(STORAGE_LIBS) \
		  $(SYSTEMD_LIBS) \
		  $(PERL_LIBS) $(PYTHON_LIBS) $(REGEX_LIBS) $(LIBS)

perl.o:		perl.c   ; $(CC) $(CFLAGS) $(PERL_CPPFLAGS) -c perl.c
python.o:	python.c ; $(CC) $(CFLAGS) $(PYTHON_CPPFLAGS) -c python.c

innd: $(OBJECTS) $(LIBSTORAGE) $(LIBHIST) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(OBJECTS) $(INNDLIBS)

tinyleaf: tinyleaf.o $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ tinyleaf.o $(LIBINN) $(LIBS)

$(LIBINN):	; (cd ../lib ; $(MAKE))
$(LIBSTORAGE):	; (cd ../storage ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled: inndp

inndp: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) innd
	mv innd inndp
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES) $(EXTRASOURCES)
	$(MAKEDEPEND) '$(CFLAGS) $(PERL_CPPFLAGS) $(PYTHON_CPPFLAGS)' \
	    $(SOURCES) $(EXTRASOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
art.o: art.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/macros.h \
  ../include/inn/innconf.h ../include/inn/md5.h ../include/inn/ov.h \
  ../include/inn/history.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/overview.h \
  ../include/inn/storage.h ../include/inn/vector.h ../include/inn/wire.h \
  innd.h ../include/portable/sd-daemon.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/messages.h ../include/inn/timer.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/nntp.h ../include/inn/paths.h
cc.o: cc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket-unix.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/qio.h innd.h ../include/portable/macros.h \
  ../include/portable/sd-daemon.h ../include/portable/socket.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h \
  ../include/inn/inndcomm.h ../include/innperl.h
chan.o: chan.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/network.h innd.h ../include/portable/macros.h \
  ../include/portable/sd-daemon.h ../include/portable/socket.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h
icd.o: icd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/mmap.h innd.h ../include/portable/macros.h \
  ../include/portable/sd-daemon.h ../include/portable/socket.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/ov.h \
  ../include/inn/storage.h
innd.o: innd.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/newsuser.h ../include/innperl.h \
  innd.h ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/timer.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/nntp.h ../include/inn/paths.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/vector.h ../include/inn/ov.h \
  ../include/inn/storage.h
keywords.o: keywords.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/innconf.h innd.h ../include/portable/macros.h \
  ../include/portable/sd-daemon.h ../include/portable/socket.h \
  ../include/portable/getaddrinfo.h ../include/portable/getnameinfo.h \
  ../include/inn/buffer.h ../include/inn/history.h \
  ../include/inn/messages.h ../include/inn/timer.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h
lc.o: lc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h innd.h \
  ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h ../include/portable/socket-unix.h
nc.o: nc.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/qio.h ../include/inn/version.h innd.h \
  ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h
newsfeeds.o: newsfeeds.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h innd.h \
  ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h
ng.o: ng.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h innd.h \
  ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/nntp.h \
  ../include/inn/paths.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/vector.h ../include/inn/ov.h ../include/inn/storage.h
perl.o: perl.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/wire.h innd.h \
  ../include/portable/macros.h ../include/portable/sd-daemon.h \
  ../include/portable/socket.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/buffer.h \
  ../include/inn/history.h ../include/inn/messages.h \
  ../include/inn/timer.h ../include/inn/libinn.h ../include/inn/concat.h \

=== innfeed/Makefile ===
##  $Id: Makefile 10100 2016-11-04 22:24:26Z iulius $

include ../Makefile.global

top	      = ..
CFLAGS	      = $(GCFLAGS) $(SASLINC)

ALL	      = innfeed procbatch imapfeed

SOURCES	      = article.c buffer.c config_l.c config_y.c connection.c endpoint.c \
		host.c imap_connection.c innlistener.c main.c misc.c \
		tape.c

INCLUDES      = article.h buffer.h configfile.h config_y.h connection.h \
		endpoint.h host.h innfeed.h innlistener.h misc.h tape.h

# The objects linked into innfeed.  All SOURCES except connection.o or
# imap_connection.o.
OBJECTS	      = article.o buffer.o config_l.o config_y.o endpoint.o host.o \
		innlistener.o main.o misc.o tape.o

all: $(ALL)

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_XPRI) innfeed $D$(PATHBIN)/innfeed
	$(LI_XPRI) imapfeed $D$(PATHBIN)/imapfeed
	$(CP_XPRI) procbatch $D$(PATHBIN)/procbatch

bootstrap: config_y.c config_y.h config_l.c

clean:
	rm -f *.o $(ALL)
	rm -f innfeedp
	rm -rf .libs

clobber distclean: clean 
	rm -f y.tab.c y.tab.h lex.yy.c

maintclean: distclean
	rm -f config_l.c config_y.c config_y.h

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1


##  Compilation rules.

INNFEEDLIBS	= $(LIBSTORAGE) $(LIBHIST) $(LIBINN) $(STORAGE_LIBS) $(LIBS)

config_y.c config_y.h: configfile.y
	$(YACC) -d configfile.y
	mv y.tab.h config_y.h
	mv y.tab.c config_y.c
	touch config_y.h

config_y.h: config_y.c

config_l.c: configfile.l
	$(LEX) $?
	mv lex.yy.c config_l.c

imap_connection.o: imap_connection.c
	$(CC) $(CFLAGS) $(SASL_CPPFLAGS) -c $<

innfeed: $(OBJECTS) connection.o $(LIBSTORAGE) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(OBJECTS) connection.o $(INNFEEDLIBS)

imapfeed: $(OBJECTS) imap_connection.o $(LIBSTORAGE) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(OBJECTS) imap_connection.o \
	    $(SASL_LDFLAGS) $(SASL_LIBS) $(INNFEEDLIBS)

procbatch: procbatch.in $(FIXSCRIPT)
	$(FIXSCRIPT) procbatch.in

tst: config_y.c config_l.c
	gcc -DWANT_MAIN -o tst -g -Wall config_y.c config_l.c -ly -ll


##  Profiling.  These rules have not been checked for a while and may need
##  some work.

profiled: innfeedp

innfeedp: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) innfeed
	mv innfeed innfeedp
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend: Makefile $(SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
article.o: article.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/storage.h ../include/inn/options.h article.h misc.h \
  ../include/portable/macros.h buffer.h endpoint.h
buffer.o: buffer.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h buffer.h misc.h ../include/portable/macros.h
config_l.o: config_l.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h configfile.h config_y.h misc.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/portable/macros.h
config_y.o: config_y.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h configfile.h misc.h ../include/portable/macros.h
connection.o: connection.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/network.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h article.h misc.h buffer.h configfile.h \
  connection.h endpoint.h host.h
endpoint.o: endpoint.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  buffer.h misc.h configfile.h endpoint.h host.h
host.o: host.c innfeed.h ../include/inn/timer.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/network.h \
  ../include/inn/portable-socket.h ../include/inn/version.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h article.h misc.h buffer.h configfile.h \
  connection.h endpoint.h host.h innlistener.h tape.h
imap_connection.o: imap_connection.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h buffer.h misc.h connection.h endpoint.h host.h \
  innfeed.h ../include/inn/timer.h article.h configfile.h
innlistener.o: innlistener.c innfeed.h ../include/inn/timer.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/messages.h ../include/inn/nntp.h article.h misc.h \
  ../include/portable/macros.h buffer.h configfile.h endpoint.h host.h \
  innlistener.h tape.h
main.o: main.c innfeed.h ../include/inn/timer.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/portable/socket-unix.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/version.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  ../include/inn/storage.h ../include/inn/options.h article.h misc.h \
  buffer.h configfile.h connection.h endpoint.h host.h innlistener.h \
  tape.h
misc.o: misc.c innfeed.h ../include/inn/timer.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h endpoint.h misc.h ../include/portable/macros.h \
  tape.h
tape.o: tape.c innfeed.h ../include/inn/timer.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/config.h ../include/inn/defines.h ../include/inn/options.h \
  ../include/clibrary.h ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h \
  article.h misc.h ../include/portable/macros.h configfile.h endpoint.h \
  tape.h

=== lib/Makefile ===
##  $Id: Makefile 10498 2021-01-05 16:11:07Z iulius $

include ../Makefile.global

# This version number should be increased with every change to the library
# source following the rules laid out in the libtool manual.  This will also
# force the file name of the shared library to change so that one can
# recover from make update.  We can't use .OLD extensions for the shared
# library since ldconfig will think .OLD sorts after the regular library and
# will point the binaries at the old library.
LTVERSION     = 6:1:0

top	= ..
CFLAGS  = $(GCFLAGS)

# The base library files that are always compiled and included.
SOURCES       = argparse.c buffer.c cleanfrom.c clientactive.c clientlib.c \
	      	commands.c concat.c conffile.c confparse.c daemonize.c	   \
	      	date.c dbz.c defdist.c dispatch.c fdflag.c fdlimit.c	   \
	      	getfqdn.c getmodaddr.c hash.c hashtab.c headers.c hex.c	   \
	      	innconf.c inndcomm.c list.c localopen.c lockfile.c	   \
	      	makedir.c md5.c messageid.c messages.c mmap.c network.c	   \
	      	network-innbind.c newsuser.c nntp.c numbers.c qio.c        \
		radix32.c readin.c					   \
	      	remopen.c reservedfd.c resource.c sendarticle.c sendpass.c \
	      	sequence.c timer.c tst.c uwildmat.c vector.c wire.c	   \
	      	xfopena.c xmalloc.c xsignal.c xwrite.c

# Sources for additional functions only built to replace missing system ones.
EXTRA_SOURCES = alloca.c asprintf.c fseeko.c ftello.c getaddrinfo.c	   \
		getnameinfo.c getpagesize.c inet_aton.c inet_ntoa.c	   \
		inet_ntop.c mkstemp.c pread.c pwrite.c            \
	        reallocarray.c setenv.c                                    \
		seteuid.c setproctitle.c snprintf.c strcasecmp.c strlcat.c \
		strlcpy.c strspn.c strtok.c symlink.c

OBJECTS       = $(LIBOBJS) $(ALLOCA) $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: libinn.$(EXTLIB) perl.o

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_LPUB) libinn.$(EXTLIB) $D$(PATHLIB)/libinn.$(EXTLIB)

bootstrap:

clean clobber distclean maintclean:
	rm -f *.o *.lo libinn.la libinn.a
	rm -f profiled perl$(PROFSUFFIX).o libinn$(PROFSUFFIX).a
	rm -f libinn_pure_*.a .pure
	rm -rf .libs

libinn.la: $(OBJECTS) $(LOBJECTS)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info $(LTVERSION)

libinn.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libinn.a

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) -c $*.c

perl.o: perl.c
	$(CC) $(CFLAGS) $(PERL_CPPFLAGS) -c perl.c

../include/inn/system.h:
	(cd ../include && $(MAKE))

##  Profiling.  The rules are a bit brute-force, but good enough.
profiled: libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o
	date >$@

libinn$(PROFSUFFIX).a perl$(PROFSUFFIX).o: $(OBJECTS) perl.o
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libinn.a
	$(MAKEPROFILING) perl.o
	mv libinn.a libinn$(PROFSUFFIX).a
	mv perl.o perl$(PROFSUFFIX).o
	$(RANLIB) libinn$(PROFSUFFIX).a
	rm -f $(OBJECTS)

##  Dependencies.  Default list, below, is probably good enough.

depend: Makefile $(SOURCES) $(EXTRA_SOURCES) perl.c ../include/inn/system.h
	$(MAKEDEPEND) '$(CFLAGS) $(PERL_CPPFLAGS)' $(SOURCES) \
	    $(EXTRA_SOURCES) perl.c

# Special dependency to teach make to build the include directory properly.
../include/inn/defines.h: ../include/inn/system.h

# DO NOT DELETE THIS LINE -- make depend depends on it.
argparse.o: argparse.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h
buffer.o: buffer.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/xmalloc.h
cleanfrom.o: cleanfrom.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
clientactive.o: clientactive.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/nntp.h ../include/inn/paths.h
clientlib.o: clientlib.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/nntp.h
commands.o: commands.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
concat.o: concat.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h
conffile.o: conffile.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/conffile.h \
  ../include/portable/macros.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
confparse.o: confparse.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/confparse.h \
  ../include/inn/hashtab.h ../include/inn/messages.h \
  ../include/inn/vector.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h
daemonize.o: daemonize.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h
date.o: date.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
dbz.o: dbz.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/dbz.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/messages.h \
  ../include/inn/innconf.h ../include/inn/mmap.h
defdist.o: defdist.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/paths.h
dispatch.o: dispatch.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/dispatch.h \
  ../include/inn/vector.h
fdflag.o: fdflag.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h
fdlimit.o: fdlimit.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
getfqdn.o: getfqdn.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/inn/libinn.h \
  ../include/inn/concat.h ../include/inn/xmalloc.h ../include/inn/xwrite.h
getmodaddr.o: getmodaddr.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \

=== perl/Makefile ===
##  $Id: Makefile 9303 2011-08-04 22:09:57Z iulius $

include ../Makefile.global

top	      = ..

ALL           = INN/Utils/Shlock.pm

EXTRA         = INN/Config.pm

##  The double underscore '__' will be converted into two colons '::'
##  during the install process (otherwise, make would complain in this
##  file, and we cannot generate the right file with '::' in the
##  Subversion man directory because it would always be regenerated:
##  the file containing '__' would indeed not be found).
MAN           = ../doc/man/INN__Config.3pm \
		../doc/man/INN__Utils__Shlock.3pm

all: $(ALL) $(EXTRA) $(MAN)

install: all
	for F in $(ALL) $(EXTRA) ; do \
	    $(CP_RPUB) $$F $D$(PATHLIBPERL)/$$F ; \
	done

bootstrap: $(MAN)

clean:
	rm -f $(ALL)

clobber distclean: clean
	rm -f $(EXTRA)

maintclean: distclean
	rm -f $(MAN)

depend:

profiled: all

$(EXTRA) $(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

##  Compilation rules.

FIX		= $(FIXSCRIPT)

INN/Utils/Shlock.pm: INN/Utils/Shlock.pm.in	$(FIX) ; $(FIX) INN/Utils/Shlock.pm.in

../doc/man/INN__Config.3pm: INN/Config.pm.in
	$(POD2MAN) -s '$(MAN3PM_EXT)' -n "INN::Config" $? > $@

../doc/man/INN__Utils__Shlock.3pm: INN/Utils/Shlock.pm.in
	$(POD2MAN) -s '$(MAN3PM_EXT)' -n "INN::Utils::Shlock" $? > $@

=== site/Makefile ===
##  $Revision: 9832 $
include ../Makefile.global
top = ..

##  If you want to do ctlinnd pause/reload/go, uncomment these lines.
#PAUSE		= pause
#RELOAD_AND_GO	= reload go
DIFF="diff"

# Added a default rule for ".csh" because Digital UNIX has a builtin
# rule which would overwite the innshellvars file.
.csh:

CTLINND			= ${PATHBIN}/ctlinnd
FILTBIN			= ${PATHFILTER}
PATH_PERL_STARTUP_INND	= ${PATHFILTER}/startup_innd.pl
PATH_PERL_FILTER_INND	= ${PATHFILTER}/filter_innd.pl
PATH_PERL_FILTER_NNRPD	= ${PATHFILTER}/filter_nnrpd.pl
PATH_PYTHON_FILTER_INND = ${PATHFILTER}/filter_innd.py
PATH_PYTHON_INN_MODULE  = ${PATHFILTER}/INN.py
PATH_PYTHON_NNRPD_MODULE= ${PATHFILTER}/nnrpd.py
PATH_NNRPAUTH           = ${PATHFILTER}/nnrpd_auth.pl
PATH_NNRPYAUTH          = ${PATHFILTER}/nnrpd_auth.py
PATH_NNRPACCESS         = ${PATHFILTER}/nnrpd_access.pl
PATH_NNRPYACCESS        = ${PATHFILTER}/nnrpd_access.py
PATH_NNRPYDYNAMIC       = ${PATHFILTER}/nnrpd_dynamic.py

PATH_CONFIG		= ${PATHETC}/inn.conf
PATH_CONTROLCTL		= ${PATHETC}/control.ctl
PATH_CONTROLCTLLOCAL	= ${PATHETC}/control.ctl.local
PATH_EXPIRECTL		= ${PATHETC}/expire.ctl
PATH_INNDHOSTS		= ${PATHETC}/incoming.conf
PATH_MODERATORS		= ${PATHETC}/moderators
PATH_DISTPATS		= ${PATHETC}/distrib.pats
PATH_DISTRIBUTIONS	= ${PATHETC}/distributions
PATH_NEWSFEEDS		= ${PATHETC}/newsfeeds
PATH_READERSCONF	= ${PATHETC}/readers.conf
PATH_NNRPDTRACK		= ${PATHETC}/nnrpd.track
PATH_NNTPPASS		= ${PATHETC}/passwd.nntp
PATH_CTLWATCH		= ${PATHETC}/innwatch.ctl
PATH_ACTSYNC_IGN	= ${PATHETC}/actsync.ign
PATH_ACTSYNC_CFG	= ${PATHETC}/actsync.cfg
PATH_MOTD_INND		= ${PATHETC}/motd.innd.sample
PATH_MOTD_NNRPD		= ${PATHETC}/motd.nnrpd.sample
PATH_STORAGECONF	= ${PATHETC}/storage.conf
PATH_CYCBUFFCONFIG	= ${PATHETC}/cycbuff.conf
PATH_INNFEEDCTL		= ${PATHETC}/innfeed.conf
PATH_BUFFINDEXED	= ${PATHETC}/buffindexed.conf
PATH_RADIUS_CONF	= ${PATHETC}/inn-radius.conf
PATH_OVDB_CONF		= ${PATHETC}/ovdb.conf
PATH_SENDUUCP_CF	= ${PATHETC}/send-uucp.cf
PATH_SUBSCRIPTIONS	= ${PATHETC}/subscriptions

PATH_ACTIVE		= ${PATHDB}/active
PATH_ACTIVE_TIMES	= ${PATHDB}/active.times
PATH_HISTORY		= ${PATHDB}/history
PATH_NEWSGROUPS		= ${PATHDB}/newsgroups

##  Scripts from above, plus site-specific config files.
REST		= \
	newsfeeds incoming.conf nnrpd.track passwd.nntp \
	inn.conf moderators innreport.conf innreport.css localgroups \
	control.ctl control.ctl.local expire.ctl nntpsend.ctl \
	innwatch.ctl distrib.pats distributions actsync.cfg actsync.ign \
	motd.innd motd.nnrpd storage.conf cycbuff.conf buffindexed.conf \
	innfeed.conf startup_innd.pl filter_innd.pl filter_nnrpd.pl \
	filter_innd.py INN.py \
	innshellvars.local innshellvars.pl.local innshellvars.tcl.local \
	nnrpd.py \
	nnrpd_auth.pl nnrpd_access.pl nocem.ctl \
        news2mail.cf readers.conf \
	inn-radius.conf nnrpd_auth.py nnrpd_access.py nnrpd_dynamic.py \
	ovdb.conf active.minimal \
	newsgroups.minimal send-uucp.cf subscriptions

ALL		= $(REST)

REST_INSTALLED	= \
	$D$(PATH_NEWSFEEDS) $D$(PATH_INNDHOSTS) \
	$D$(PATH_NNRPDTRACK) $D$(PATH_NNTPPASS) \
	$D$(PATH_CONFIG) $D$(PATH_MODERATORS) \
	$D$(PATH_CONTROLCTL) $D$(PATH_CONTROLCTLLOCAL) $D$(PATH_EXPIRECTL) \
	$D$(PATHETC)/nntpsend.ctl \
	$D$(PATHETC)/innreport.conf $D$(PATHHTTP)/innreport.css \
	$D$(PATHETC)/localgroups \
	$D$(PATH_CTLWATCH) $D$(PATH_DISTPATS) $D$(PATH_DISTRIBUTIONS) \
	$D$(PATH_ACTSYNC_CFG) $D$(PATH_ACTSYNC_IGN) \
	$D$(PATH_MOTD_INND) $D$(PATH_MOTD_NNRPD) $D$(PATH_STORAGECONF) \
	$D$(PATH_CYCBUFFCONFIG) $D$(PATH_BUFFINDEXED) \
	$D$(PATH_INNFEEDCTL) $D$(PATH_PERL_STARTUP_INND) \
	$D$(PATH_PERL_FILTER_INND) $D$(PATH_PERL_FILTER_NNRPD) \
	$D$(PATH_PYTHON_FILTER_INND) $D$(PATH_PYTHON_INN_MODULE) \
	$D$(PATH_PYTHON_NNRPD_MODULE) \
	$D$(PATH_TCL_STARTUP) $D$(PATH_TCL_FILTER) \
	$D$(PATHETC)/innshellvars.local $D$(PATHETC)/innshellvars.pl.local \
	$D$(PATHETC)/innshellvars.tcl.local \
	$D$(PATHETC)/nocem.ctl \
	$D$(PATH_NNRPAUTH) $D$(PATHETC)/news2mail.cf $D$(PATH_READERSCONF) \
	$D$(PATH_RADIUS_CONF) $D$(PATH_NNRPYAUTH) $D$(PATH_NNRPYACCESS) $D$(PATH_NNRPYDYNAMIC) \
	$D$(PATH_OVDB_CONF) \
	$D$(PATH_SENDUUCP_CF) $D$(PATH_SUBSCRIPTIONS) $D$(PATH_NNRPACCESS)

ALL_INSTALLED	= $(REST_INSTALLED)

SPECIAL		= $D$(PATH_ACTIVE) $D$(PATH_ACTIVE_TIMES) \
		$D$(PATH_NEWSGROUPS) $D$(PATH_HISTORY)

##  Get new versions of everything from samples directory.
all:		$(ALL) config

##  Show changes between files here and ones in samples.
diff:
	@$(MAKE) COPY=-${DIFF} all

##  Show changes between files here and installed versions.
diff-installed:
	@$(MAKE) COPY_RPRI=-${DIFF} COPY_RPUB=-${DIFF} COPY_XPRI=-${DIFF} COPY_XPUB=-${DIFF} $(ALL_INSTALLED)

##  Show what would be copied from samples directory.
what:
	@$(MAKE) -s 'COPY=@echo' $(ALL) | ${AWK} 'NF==2 { print $$2; }'

config:		$(ALL)
	date >config

##  Don't use parallel rules -- we want this to be viewed carefully.
install:	all $(PAUSE) install-config $(RELOAD_AND_GO)
reload-install:	all pause    install-config reload go
install-config:		update $(REST_INSTALLED) $(SPECIAL)

##  Install scripts, not per-host config files.
update:		all
	@echo '' ; echo 'inn.conf in site directory may have newly added parameters'
	@echo 'which installed inn.conf does not have.  Check those parameters'
	@echo 'before you run innd.' ; echo ''
	date >update

##  Special rules for files that should never be overwritten if they are
##  already installed.  These are used only for the initial install of a
##  brand new server.
$D$(PATH_ACTIVE): 	; $(CP_DATA) active.minimal $@
$D$(PATH_NEWSGROUPS):	; $(CP_DATA) newsgroups.minimal $@
$D$(PATH_ACTIVE_TIMES):
	touch $@
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $@ ; \
	    chgrp $(RUNASGROUP) $@ ; \
	fi
	chmod $(FILEMODE) $@
$D$(PATH_HISTORY):
	touch $@
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $@ ; \
	    chgrp $(RUNASGROUP) $@ ; \
	fi
	chmod $(FILEMODE) $@
	@ME=`$(WHOAMI)` ; \
	if [ -z "$D" ] ; then \
	    if [ x"$$ME" = xroot ] || [ x"$$ME" = x"$(RUNASUSER)" ] ; then \
	        $(PATHBIN)/makedbz -i -o ; \
	    fi ; \
	fi

bootstrap:

##  Remove files that are unchanged from the release version.
clean:
	@-for I in $(ALL) ; do \
	    cmp -s $$I ../samples/$$I && echo rm -f $$I && rm -f $$I ; \
	done

clobber distclean maintclean:
	rm -f $(ALL) profiled config update

profiled:
	cp /dev/null profiled

depend:

##  Commands to make private or public, read or executable files.
COPY_RPRI	= $(CP_RPRI)
COPY_RPUB	= $(CP_RPUB)
COPY_XPRI	= $(CP_XPRI)
COPY_XPUB	= $(CP_XPUB)

##  Files to copy.
$D$(PATH_INNDHOSTS):	incoming.conf	; $(COPY_RPRI) $? $@
$D$(PATH_NEWSFEEDS):	newsfeeds	; $(COPY_RPUB) $? $@
$D$(PATH_READERSCONF):	readers.conf	; $(COPY_RPUB) $? $@
$D$(PATH_RADIUS_CONF):	inn-radius.conf	; $(COPY_RPRI) $? $@
$D$(PATH_NNRPDTRACK):	nnrpd.track	; $(COPY_RPUB) $? $@
$D$(PATH_CONTROLCTL):	control.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_CONTROLCTLLOCAL): control.ctl.local	; $(COPY_RPUB) $? $@
$D$(PATH_CTLWATCH):	innwatch.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_EXPIRECTL):	expire.ctl	; $(COPY_RPUB) $? $@
$D$(PATH_CONFIG):	inn.conf	; $(COPY_RPUB) $? $@
$D$(PATH_MODERATORS):	moderators	; $(COPY_RPUB) $? $@
$D$(PATH_DISTPATS):	distrib.pats	; $(COPY_RPUB) $? $@
$D$(PATH_DISTRIBUTIONS): distributions  ; $(COPY_RPUB) $? $@
$D$(PATH_NNTPPASS):	passwd.nntp	; $(COPY_RPRI) $? $@
$D$(PATHETC)/nntpsend.ctl: nntpsend.ctl	; $(COPY_RPUB) $? $@
$D$(PATHETC)/news2mail.cf: news2mail.cf	; $(COPY_RPUB) $? $@
$D$(PATHETC)/innreport.conf: innreport.conf	; $(COPY_RPUB) $? $@
$D$(PATHHTTP)/innreport.css: innreport.css	; $(COPY_RPUB) $? $@
$D$(PATHETC)/innshellvars.local: innshellvars.local	; $(COPY_XPUB) $? $@
$D$(PATHETC)/innshellvars.pl.local: innshellvars.pl.local	; $(COPY_XPUB) $? $@
$D$(PATHETC)/innshellvars.tcl.local: innshellvars.tcl.local	; $(COPY_XPUB) $? $@
$D$(PATHETC)/localgroups: localgroups	; $(COPY_RPUB) $? $@
$D$(PATH_STORAGECONF): storage.conf	; $(COPY_RPUB) $? $@
$D$(PATH_CYCBUFFCONFIG): cycbuff.conf	; $(COPY_RPUB) $? $@
$D$(PATH_BUFFINDEXED): buffindexed.conf	; $(COPY_RPUB) $? $@
$D$(PATH_OVDB_CONF): ovdb.conf		; $(COPY_RPUB) $? $@
$D$(PATH_PERL_STARTUP_INND): startup_innd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PERL_FILTER_INND): filter_innd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PERL_FILTER_NNRPD): filter_nnrpd.pl ; $(COPY_RPUB) $? $@
$D$(PATH_PYTHON_FILTER_INND): filter_innd.py ; $(COPY_RPUB) $? $@
$D$(PATH_PYTHON_INN_MODULE): INN.py ;	$(COPY_RPUB) $? $@
$D$(PATH_PYTHON_NNRPD_MODULE): nnrpd.py ;   $(COPY_RPUB) $? $@
$D$(PATH_NNRPAUTH): nnrpd_auth.pl       ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPACCESS): nnrpd_access.pl   ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYAUTH): nnrpd_auth.py      ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYACCESS): nnrpd_access.py  ; $(COPY_RPUB) $? $@
$D$(PATH_NNRPYDYNAMIC): nnrpd_dynamic.py     ; $(COPY_RPUB) $? $@
$D$(PATHETC)/nocem.ctl: nocem.ctl       ; $(COPY_RPUB) $? $@
$D$(PATH_ACTSYNC_CFG): actsync.cfg	; $(COPY_RPUB) $? $@
$D$(PATH_ACTSYNC_IGN): actsync.ign	; $(COPY_RPUB) $? $@
$D$(PATH_MOTD_INND): motd.innd		; $(COPY_RPUB) $? $@
$D$(PATH_MOTD_NNRPD): motd.nnrpd	; $(COPY_RPUB) $? $@
$D$(PATH_INNFEEDCTL): innfeed.conf	; $(COPY_RPRI) $? $@
$D$(PATH_SENDUUCP_CF): send-uucp.cf	; $(COPY_RPUB) $? $@
$D$(PATH_SUBSCRIPTIONS): subscriptions	; $(COPY_RPUB) $? $@

REASON	= 'Installing site config files from site/Makefile'
go pause:
	-${CTLINND} $@ $(REASON)
reload:
	-${CTLINND} reload all $(REASON)

##  Use this to just replace any changed files you might have made.  Only
##  do this after you've examined the output of "make -n"!
replace:
	$(MAKE) COPY=cp all

##  Get files from the samples directory.
COPY	= $(SHELL) ./getsafe.sh
actsync.cfg:	../samples/actsync.cfg		; $(COPY) $? $@
actsync.ign:	../samples/actsync.ign		; $(COPY) $? $@
control.ctl:	../samples/control.ctl		; $(COPY) $? $@
control.ctl.local: ../samples/control.ctl.local	; $(COPY) $? $@
expire.ctl:	../samples/expire.ctl		; $(COPY) $? $@
nnrpd_auth.pl:  ../samples/nnrpd_auth.pl	; $(COPY) $? $@
nnrpd_access.pl:  ../samples/nnrpd_access.pl	; $(COPY) $? $@
nnrpd_auth.py:  ../samples/nnrpd_auth.py	; $(COPY) $? $@
nnrpd_access.py: ../samples/nnrpd_access.py     ; $(COPY) $? $@
nnrpd_dynamic.py: ../samples/nnrpd_dynamic.py   ; $(COPY) $? $@
filter_innd.pl:	../samples/filter_innd.pl	; $(COPY) $? $@
filter_nnrpd.pl: ../samples/filter_nnrpd.pl	; $(COPY) $? $@
filter_innd.py:	../samples/filter_innd.py	; $(COPY) $? $@
INN.py:		../samples/INN.py		; $(COPY) $? $@
nnrpd.py:       ../samples/nnrpd.py             ; $(COPY) $? $@
incoming.conf:	../samples/incoming.conf	; $(COPY) $? $@
inn.conf:	../samples/inn.conf		; $(COPY) $? $@
innreport.conf:	../samples/innreport.conf	; $(COPY) $? $@
innreport.css:	../samples/innreport.css	; $(COPY) $? $@
innshellvars.local: ../samples/innshellvars.local	; $(COPY) $? $@
innshellvars.pl.local: ../samples/innshellvars.pl.local	; $(COPY) $? $@
innshellvars.tcl.local: ../samples/innshellvars.tcl.local	; $(COPY) $? $@
localgroups:	../samples/localgroups		; $(COPY) $? $@
storage.conf:	../samples/storage.conf		; $(COPY) $? $@
cycbuff.conf:	../samples/cycbuff.conf		; $(COPY) $? $@
buffindexed.conf: ../samples/buffindexed.conf	; $(COPY) $? $@
ovdb.conf:	../samples/ovdb.conf		; $(COPY) $? $@
innwatch.ctl:	../samples/innwatch.ctl		; $(COPY) $? $@
innfeed.conf:	../samples/innfeed.conf		; $(COPY) $? $@
moderators:	../samples/moderators		; $(COPY) $? $@
distrib.pats:	../samples/distrib.pats		; $(COPY) $? $@
distributions:	../samples/distributions	; $(COPY) $? $@
motd.innd:	../samples/motd.innd		; $(COPY) $? $@
motd.nnrpd:	../samples/motd.nnrpd		; $(COPY) $? $@
news2mail.cf:	../samples/news2mail.cf		; $(COPY) $? $@
newsfeeds:	../samples/newsfeeds		; $(COPY) $? $@
nnrpd.track:	../samples/nnrpd.track		; $(COPY) $? $@
nntpsend.ctl:	../samples/nntpsend.ctl		; $(COPY) $? $@
nocem.ctl:	../samples/nocem.ctl		; $(COPY) $? $@
parsecontrol:	../samples/parsecontrol		; $(COPY) $? $@
passwd.nntp:	../samples/passwd.nntp		; $(COPY) $? $@
readers.conf:	../samples/readers.conf		; $(COPY) $? $@

=== storage/Makefile ===
##  $Id: Makefile 10423 2020-11-22 21:15:35Z iulius $

include ../Makefile.global

# This version number should be increased with every change to the library
# source following the rules laid out in the libtool manual.  This will also
# force the file name of the shared library to change so that one can
# recover from make update.  We can't use .OLD extensions for the shared
# library since ldconfig will think .OLD sorts after the regular library and
# will point the binaries at the old library.
LTVERSION     = 3:4:0

top	      = ..
CFLAGS	      = $(GCFLAGS) -I. $(BDB_CPPFLAGS)

SOURCES	      = expire.c interface.c methods.c ov.c overdata.c overview.c \
		ovmethods.c $(METHOD_SOURCES)
OBJECTS	      = $(SOURCES:.c=.o)
LOBJECTS      = $(OBJECTS:.o=.lo)

.SUFFIXES: .lo

all: library programs

# Included here after the all target, since additional rules are defined in
# Make.methods to be sure that we recurse properly to build the methods.
include Make.methods

warnings:
	$(MAKE) COPT='$(WARNINGS)' all

install: all
	$(LI_LPUB) libstorage.$(EXTLIB) $D$(PATHLIB)/libstorage.$(EXTLIB)
	for F in $(PROGRAMS) ; do \
	    $(LI_XPRI) $$F $D$(PATHBIN)/`basename $$F` ; \
	done

bootstrap: Make.methods

library: libstorage.$(EXTLIB)

programs: $(PROGRAMS)

clean clobber distclean:
	rm -f *.o *.lo */*.o */*.lo libstorage.la libstorage.a
	rm -f $(PROGRAMS) libstorage_pure_*.a .pure
	rm -f buildconfig libstorage$(PROFSUFFIX).a
	rm -rf .libs */.libs

maintclean: distclean
	rm -f Make.methods methods.c methods.h ovmethods.c ovmethods.h

$(FIXSCRIPT):
	@echo Run configure before running make.  See INSTALL for details.
	@exit 1

libstorage.la: $(OBJECTS) $(LIBINN)
	$(LIBLD) $(LDFLAGS) -o $@ $(LOBJECTS) \
	    $(LIBINN) $(STORAGE_LIBS) $(LIBS) \
	    -rpath $(PATHLIB) -version-info $(LTVERSION)

libstorage.a: $(OBJECTS)
	ar r $@ $(OBJECTS)
	$(RANLIB) libstorage.a

# Make.methods is included in the distribution tarball since some non-GNU
# makes can't deal with including a non-existent file, so don't depend on
# it.  The dependencies aren't entirely accurate; you really want to re-run
# buildconfig each time a new subdirectory is added to the directory.  But
# adding a dependency on . is a bit too non-portable for my taste and causes
# too many rebuilds.
Make.methods methods.h ovmethods.c ovmethods.h methods.c: buildconfig
	./buildconfig

buildconfig: buildconfig.in $(FIXSCRIPT)
	$(FIXSCRIPT) -i buildconfig.in

.c.o .c.lo:
	$(LIBCC) $(CFLAGS) $(CCOUTPUT)

ovtest:	ov.c libstorage.$(EXTLIB) $(LIBINN)
	$(CC) $(CFLAGS) -D_TEST_ -o ovtest ov.c \
	    libstorage.$(EXTLIB) $(LIBINN) $(STORAGE_LIBS) $(LIBS)

$(LIBINN):      ; (cd ../lib ; $(MAKE))
$(LIBHIST):	; (cd ../history ; $(MAKE))


##  Profiling.  The rules are a bit brute-force, but good enough.

profiled: libstorage$(PROFSUFFIX).a

libstorage$(PROFSUFFIX).a: $(SOURCES)
	rm -f $(OBJECTS)
	$(MAKEPROFILING) libstorage.a
	mv libstorage.a libstorage$(PROFSUFFIX).a
	$(RANLIB) libstorage$(PROFSUFFIX).a
	rm -f $(OBJECTS)


##  Dependencies.  Default list, below, is probably good enough.

depend:	Makefile $(SOURCES) $(EXTRA_SOURCES)
	$(MAKEDEPEND) '$(CFLAGS)' $(SOURCES) $(EXTRA_SOURCES)

# DO NOT DELETE THIS LINE -- make depend depends on it.
expire.o: expire.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h ovinterface.h \
  ../include/inn/storage.h ../include/inn/paths.h ../include/inn/vector.h
interface.o: interface.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/conffile.h \
  ../include/portable/macros.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/wire.h interface.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h methods.h ../include/inn/paths.h
methods.o: methods.c interface.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h \
  ../include/inn/storage.h ../include/inn/options.h methods.h cnfs/cnfs.h \
  timecaf/timecaf.h interface.h timehash/timehash.h tradspool/tradspool.h \
  trash/trash.h
ov.o: ov.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/wire.h ../include/inn/vector.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h ovinterface.h \
  ../include/inn/storage.h ovmethods.h
overdata.o: overdata.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/innconf.h ../include/inn/messages.h ../include/inn/wire.h \
  ../include/inn/vector.h ../include/inn/libinn.h ../include/inn/concat.h \
  ../include/inn/xmalloc.h ../include/inn/xwrite.h ovinterface.h \
  ../include/inn/history.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/storage.h
overview.o: overview.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/buffer.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/overview.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/wire.h ../include/inn/vector.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ovinterface.h ovmethods.h
ovmethods.o: ovmethods.c ovinterface.h ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h \
  ../include/inn/history.h ../include/inn/ov.h ../include/inn/storage.h \
  ../include/inn/options.h ../include/inn/storage.h \
  buffindexed/buffindexed.h ovdb/ovdb.h tradindexed/tradindexed.h
buffindexed/buffindexed.o: buffindexed/buffindexed.c ../include/config.h \
  ../include/inn/defines.h ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/innconf.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/ov.h ../include/inn/history.h \
  ../include/inn/storage.h ../include/inn/options.h ../include/inn/paths.h \
  ovinterface.h ../include/inn/storage.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h buffindexed/shmem.h \
  buffindexed/buffindexed.h
buffindexed/shmem.o: buffindexed/shmem.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h buffindexed/shmem.h
cnfs/cnfs.o: cnfs/cnfs.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \
  ../include/inn/portable-getnameinfo.h ../include/inn/innconf.h \
  ../include/inn/messages.h ../include/inn/mmap.h ../include/inn/wire.h \
  interface.h ../include/inn/storage.h ../include/inn/options.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h methods.h interface.h ../include/inn/paths.h \
  cnfs/cnfs.h cnfs/cnfs-private.h
ovdb/ovdb.o: ovdb/ovdb.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/socket.h \
  ../include/portable/macros.h ../include/portable/getaddrinfo.h \
  ../include/portable/getnameinfo.h ../include/conffile.h \
  ../include/portable/macros.h ../include/inn/fdflag.h \
  ../include/inn/portable-socket.h ../include/inn/innconf.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h ../include/inn/messages.h \
  ../include/inn/newsuser.h ../include/inn/paths.h \
  ../include/inn/storage.h ../include/inn/options.h \
  ../include/portable/socket-unix.h ../include/inn/ov.h \
  ../include/inn/history.h ../include/inn/storage.h ovinterface.h \
  ovdb/ovdb.h ovdb/ovdb-private.h
timecaf/caf.o: timecaf/caf.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/inn/messages.h \
  ../include/inn/libinn.h ../include/inn/concat.h ../include/inn/xmalloc.h \
  ../include/inn/xwrite.h timecaf/caf.h
timecaf/timecaf.o: timecaf/timecaf.c ../include/config.h ../include/inn/defines.h \
  ../include/inn/system.h ../include/inn/macros.h \
  ../include/inn/portable-macros.h ../include/inn/portable-stdbool.h \
  ../include/inn/defines.h ../include/inn/options.h ../include/clibrary.h \
  ../include/config.h ../include/inn/macros.h \
  ../include/portable/stdbool.h ../include/portable/mmap.h timecaf/caf.h \
  ../include/inn/fdflag.h ../include/inn/portable-socket.h \
  ../include/inn/portable-getaddrinfo.h \

=== debian/changelog ===
inn2 (2.6.4-2build4) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:40:28 +0100

inn2 (2.6.4-2build3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:23:27 +0000

inn2 (2.6.4-2build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 01 Dec 2021 12:05:40 +0100

inn2 (2.6.4-2build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:16:05 +0000

inn2 (2.6.4-2) unstable; urgency=medium

  * Backported upstream changeset 10348 to fix a failing test on powerpc.

 -- Marco d'Itri <md@linux.it>  Tue, 16 Feb 2021 01:15:55 +0100

inn2 (2.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Thu, 28 Jan 2021 02:05:26 +0100

inn2 (2.6.3+20210104-1) unstable; urgency=medium

  * New upstream snapshot. Fixes:
    + Reproducibility on IPv6-only systems. (Closes: #974024)

 -- Marco d'Itri <md@linux.it>  Sun, 10 Jan 2021 01:22:23 +0100

=== debian/control ===
Source: inn2
Section: news
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 12), bison, flex, groff-base,
 libperl-dev, python3-dev, libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev,
 libsystemd-dev, pkg-config,
 libssl-dev, zlib1g-dev,
Standards-Version: 4.5.0.2
Rules-Requires-Root: binary-targets
Homepage: https://www.eyrie.org/~eagle/software/inn/
Vcs-Git: https://salsa.debian.org/md/inn2.git
Vcs-Browser: https://salsa.debian.org/md/inn2

Package: inn2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cron | cron-daemon, default-mta | mail-transport-agent, time, procps, ${perl:Depends}, ${PERLAPI}, libmime-tools-perl, lsb-base
Pre-Depends: inn2-inews (= ${binary:Version})
Suggests: gnupg1, wget, libgd-perl, ${shlibs:Suggests}
Replaces: inn2-lfs, inn, innfeed, inn2-dev
Provides: news-transport-system
Conflicts: inn, innfeed
Description: 'InterNetNews' news server
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as pan. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.

Package: inn2-inews
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: inews
Description: NNTP client news injector, from InterNetNews (INN)
 'inews' is the program that newsreaders call when the user wishes to
 post an article; it does a few elementary checks and passes the article
 on to the news server for posting.
 .
 This version is the one from Rich Salz's InterNetNews news transport
 system (which is also available as a Debian package).

Package: inn2-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Conflicts: inn
Description: libinn.a library, headers and man pages
 You will only need this if you are going to compile programs that 
 require the functions in libinn.a.

=== debian/watch ===
version=3
opts=dversionmangle=s/r$//,pgpsigurlmangle=s/$/.asc/ \
https://ftp.isc.org/isc/inn/inn-([\d\.]+)\.tar\.gz
